body {
    display: grid;
       grid-template-columns: 5fr auto;
      background-color:gray;
}

main p, main h2, main h{
    color: black;
    text-align: center;
}
main p{
    text-decoration: none;
}
main h2{
    text-decoration: underline;
}

.jätteliten, .liten, .halvlång, .lång
{
   border: 3px solid black;
   border-radius: 10px;  
   margin: 20px;
   object-fit: cover;
   padding: 10px;
}

.lång{
    grid-template-columns: 1fr;
    display: grid;
}

.overlaylång
{
    top: 0px;
    bottom: 0px;
    left: 22px;
    right: 22px;
     position: absolute;
    opacity: 0;
    transition: 0.3s ease;
    background-color: #00000066;
    border-radius: 10px;
  
}
.container:hover .overlaylång {
  opacity: 1;
}
.överst{
    grid-template-columns: 1fr 1fr 1fr;
    display: grid;
}

.mitten{
    grid-template-columns: 1fr 1fr;
    display: grid;   
}

.botten{
    grid-template-columns: 1fr 1fr 1fr 1fr;
    display: grid;
}

.dropbtn {
   border: 3px solid rgb(106, 102, 102);
    background-color: silver; 
  color: white;
  padding: 16px;
  font-size: 16px;
  border: none;
  cursor: pointer;
  width: 100%;
  height: 100%; /*Reminder, denna är vart felet var*/
  border: 3px solid gray;
}

.dropdown {
  position: relative;
  text-align: center;  
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: silver;
  min-width: 200px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  text-align: center;
  width: 100%;
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover {
  background-color: gray;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown:hover .dropbtn {
  background-color: gray;
}


img{
    border-radius: 10px;
}

.overlay {
  
  top: 20px;
  bottom: 23px;
  left: 20px;
  right: 20px;
 
  
}